Update a task

Update an existing CRM task”s properties such as name, type, due date, status, duration, notes, assignee, reminder, or linked entities. Only the fields provided in the request body will be updated; omitted fields remain unchanged.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequired

Request

Updated task details.
assignToIdstringOptional
To assign a task to a user you can use either the account email or ID.
companiesIdslist of stringsOptional
Companies ids for companies a task is linked to
contactsIdslist of integersOptional
Contact ids for contacts linked to this task
datedatetimeOptional

Task date/time

dealsIdslist of stringsOptional
Deal ids for deals a task is linked to
donebooleanOptional
Task marked as done
durationlongOptional

Duration of task in milliseconds [1 minute = 60000 ms]

namestringOptional
Name of task
notesstringOptional
Notes added to a task
reminderobjectOptional

Task reminder date/time for a task

taskTypeIdstringOptional

Id for type of task e.g Call / Email / Meeting etc.

Errors

400
Bad Request Error
404
Not Found Error